petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSPSEUDO

Solve steady state ODE and DAE problems with pseudo time stepping This method solves equations of the form Many br

       F(X,Xdot) = 0

for steady state using the iteration Many br

       [G'] S = -F(X,0)

       X += S

where Many br

       G(Y) = F(Y,(Y-X)/dt)

This is linearly-implicit Euler with the residual always evaluated "at steady Many brstate". See note below. Many br

### Options database keys

| -ts_pseudo_increment <real> | - ratio of increase dt Many br
| -ts_pseudo_increment_dt_from_initial_dt <truth> | - Increase dt as a ratio from original dt Many br
| -ts_pseudo_fatol <atol> | - stop iterating when the function norm is less than atol Many br
| -ts_pseudo_frtol <rtol> | - stop iterating when the function norm divided by the initial function norm is less than rtol Many br

Many br

### References

| 1. | - Todd S. Coffey and C. T. Kelley and David E. Keyes, Pseudotransient Continuation and Differential Algebraic Equations, 2003. Many br
| 2. | - C. T. Kelley and David E. Keyes, Convergence analysis of Pseudotransient Continuation, 1998. Many br

### Notes

The residual computed by this method includes the transient term (Xdot is computed instead of Many bralways being zero), but since the prediction from the last step is always the solution from the Many brlast step, on the first Newton iteration we have Many br

     Xdot = (Xpredicted - Xold)/dt = (Xold-Xold)/dt = 0

Therefore, the linear system solved by the first Newton iteration is equivalent to the one Many brdescribed above and in the papers. If the user chooses to perform multiple Newton iterations, the Many bralgorithm is no longer the one described in the referenced papers. Many br

### See Also

TSCreate(), TS, TSSetType()

Level:beginner
Location:src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex24.c.html
src/ts/examples/tutorials/ex42.c.html
src/ts/examples/tutorials/ex1f.F.html